@echo off
rem
rem            L.BAT - Load a intel-hex file to target Z80-MBC
rem
rem            USAGE:      L <intel-hex-file.hex>
rem            OR:         L

set ldfile=out.hex
if .%1==. goto :nofile
set ldfile=%1

:load
echo File to load: %ldfile% (it will be copied into load.hex)
if not exist %ldfile% goto :error1
copy /y %ldfile% load.hex > nul
echo * * * Remember to close the Tera Term windows before a new upload! * * *
"C:\Program Files\teraterm\ttermpro.exe" /c=3 /BAUD=9600 /w="Z80-MBC Terminal" /m=LoadZ80.ttl
echo All done. Bye bye...
goto :end

:nofile
echo Loading last compiled file (%ldfile%).
goto :load

:error1
echo Error: file %ldfile% not found!
:end